Package org.jboss.logmanager

# Class MDC

java.lang.Object
org.jboss.logmanager.MDC

public final class MDC extends Object
Mapped diagnostic context. This is a thread-local map used to hold loggable information.

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
Clear the current MDC map.
`static Map<String,String>`
`copy()`
Get a copy of the MDC map.
`static Map<String,Object>`
`copyObject()`
Get a copy of the MDC map.
`static String`
`get(String key)`
Get the value for a key, or `null` if there is no mapping.
`static Object`
`getObject(String key)`
Get the value for a key, or `null` if there is no mapping.
`static String`
`put(String key, String value)`
Set the value of a key, returning the old value (if any) or `null` if there was none.
`static Object`
`putObject(String key, Object value)`
Set the value of a key, returning the old value (if any) or `null` if there was none.
`static String`
`remove(String key)`
Remove a key.
`static Object`
`removeObject(String key)`
Remove a key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public static String get(String key)
Get the value for a key, or `null` if there is no mapping.

Parameters:
  `key` - the key
Returns:
  the value

### getObject

public static Object getObject(String key)
Get the value for a key, or `null` if there is no mapping.

Parameters:
  `key` - the key
Returns:
  the value

### put

public static String put(String key, String value)
Set the value of a key, returning the old value (if any) or `null` if there was none.

Parameters:
  `key` - the key
  `value` - the new value
Returns:
  the old value or `null` if there was none

### putObject

public static Object putObject(String key, Object value)
Set the value of a key, returning the old value (if any) or `null` if there was none.

Parameters:
  `key` - the key
  `value` - the new value
Returns:
  the old value or `null` if there was none

### remove

public static String remove(String key)
Remove a key.

Parameters:
  `key` - the key
Returns:
  the old value or `null` if there was none

### removeObject

public static Object removeObject(String key)
Remove a key.

Parameters:
  `key` - the key
Returns:
  the old value or `null` if there was none

### copy

public static Map<String,String> copy()
Get a copy of the MDC map. This is a relatively expensive operation.

Returns:
  a copy of the map

### copyObject

public static Map<String,Object> copyObject()
Get a copy of the MDC map. This is a relatively expensive operation.

Returns:
  a copy of the map

### clear

public static void clear()
Clear the current MDC map.